## ros-indigo-rbcar-description 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rbcar_description)

find_package(catkin REQUIRED COMPONENTS
  message_runtime
  std_msgs
  std_srvs
  tf
)

catkin_package(
)


include_directories(
  ${catkin_INCLUDE_DIRS}
)

=== debian/changelog ===
ros-indigo-rbcar-description (1.0.4-0trusty) trusty; urgency=high

  * Modified maintainers
  * Contributors: carlos3dx

 -- Román Navarro <rnavarro@robotnik.es>  Tue, 05 Jul 2016 22:00:00 -0000

ros-indigo-rbcar-description (1.0.3-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Mon, 04 Jul 2016 22:00:00 -0000

ros-indigo-rbcar-description (1.0.2-0trusty) trusty; urgency=high



 -- Carlos Villar <cvillar@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

ros-indigo-rbcar-description (1.0.1-0trusty) trusty; urgency=high

  * Added website
  * Modified dependencies
  * changed hw interface to VelocityJointInterface for traction, added damping and friction to axle and suspension
  * rbcar_description: changing 3d sensor position to fit with the real model
  * added imu, needed for odometry estimation
  * updated urdf
  * sensors imported from robotnik_sensors package
  * deleted sensors - now from robotnik_sensors package
  * rbcar_description: adding rviz config file
  * corrected ranges of hokuyo3d and added measurement tf
  * updated hokuyo3d model
  * control period of plugin to 0.001 and updated traction torque
  * updated model - 1st working in gazebo
  * modified to work in gazebo
  * changed 3d laser pos
  * added rbcar_description
  * Contributors: RomanRobotnik, carlos3dx, rguzman, trurl

 -- Carlos Villar <cvillar@robotnik.es>  Sun, 03 Jul 2016 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-rbcar-description
Section: misc
Priority: extra
Maintainer: Román Navarro <rnavarro@robotnik.es>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-robotnik-sensors, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Homepage: http://wiki.ros.org/rbcar_description
Standards-Version: 3.9.2

Package: ros-indigo-rbcar-description
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-message-runtime, ros-indigo-robotnik-sensors, ros-indigo-std-msgs, ros-indigo-std-srvs, ros-indigo-tf
Description: The rbcar_description package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-rbcar-description//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
